<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 20/03/2008 11:41:34 by Hibernate Tools 3.2.0.b11 -->
<hibernate-mapping>
    <class name="org.sakaiproject.wontovlab.model.Experiment" table="vl_experiment" >
        <comment></comment>
        <id name="experimentId" type="java.lang.Long">
            <column name="experiment_id" />
	    	<generator class="native">
                <param name="sequence">VL_EXPERIMENT_ID_SQL</param>
	    	</generator>
        </id>
        
        <property name="name" type="string">
            <column name="name" length="60" not-null="true">
                <comment></comment>
            </column>
        </property>
        <property name="description" type="string">
            <column name="description" length="500" not-null="true">
                <comment></comment>
            </column>
        </property>
        <property name="ownerId" type="string">
            <column name="owner_id" length="50" not-null="true">
                <comment></comment>
            </column>
        </property><!--
        
        
        <set name="steps" inverse="true">
            <key>
                <column name="experiment_id" not-null="true">
                    <comment></comment>
                </column>
            </key>
            <one-to-many class="org.sakaiproject.wontovlab.model.Step" />
        </set>
        
        --><!--<set name="executedExp" inverse="true">
            <key>
                <column name="experiment_id" not-null="true">
                    <comment></comment>
                </column>
            </key>
            <one-to-many class="org.sakaiproject.wontovlab.model.ExecutedExp" />
        </set>       
        
		
		
        --><!--<many-to-one name="first_step" class="org.sakaiproject.wontovlab.model.Step" update="false"  lazy="false" insert="false" fetch="select" not-null="false">
            <column name="step_id" not-null="true">
                <comment></comment>
            </column>
        </many-to-one>
        
        <many-to-one name="last_step" class="org.sakaiproject.wontovlab.model.Step" update="false"  lazy="false" insert="false" fetch="select" not-null="false">
            <column name="step_id" not-null="true">
                <comment></comment>
            </column>
        </many-to-one>        
        
        
    --></class>
</hibernate-mapping>
